<div class="grade-aggregation-container">
  <div class="grade-aggregation-title">
    <h2>{{title}}</h2>
  </div>
  <table mat-table [dataSource]="gradeAggregation" class="mat-elevation-z8">
    <ng-container matColumnDef="grade">
      <mat-header-cell *matHeaderCellDef> Grade </mat-header-cell>
      <mat-cell *matCellDef="let aggregation">{{aggregation.grade}}</mat-cell>
    </ng-container>

    <ng-container matColumnDef="numOfStudents">
      <mat-header-cell *matHeaderCellDef> No. of Students </mat-header-cell>
      <mat-cell *matCellDef="let aggregation"> {{aggregation.value}} </mat-cell>
    </ng-container>

    <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>
    <mat-row class="student-list-row" *matRowDef="let row; columns: displayedColumns;" matRipple></mat-row>
  </table>
</div>
